matrix:
  platform:
    - debian11
    - ubuntu2004
    - ubuntu2204
    - ubuntu2404
    - macos
    - macos_arm64
    - windows
  bazel: [7.x, 8.x, rolling]
tasks:
  verify_targets:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--process_headers_in_dependencies"
    build_targets:
      - "@boost.crc"
    test_flags:
      - "--process_headers_in_dependencies"
    test_targets:
      - "@boost.crc//:all"
